# Class TelemetryClient

java.lang.Object
com.databricks.jdbc.telemetry.TelemetryClient

All Implemented Interfaces:
  `ITelemetryClient`

public class TelemetryClient extends Object implements ITelemetryClient

## Constructor Summary

Constructors
Constructor
Description
`TelemetryClient(IDatabricksConnectionContext connectionContext, ExecutorService executorService)`
`TelemetryClient(IDatabricksConnectionContext connectionContext, ExecutorService executorService, com.databricks.sdk.core.DatabricksConfig config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the telemetry client, releasing any resources it holds.
`void`
`exportEvent(TelemetryFrontendLog event)`
Exports a telemetry event to the backend service.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryClient

public TelemetryClient(IDatabricksConnectionContext connectionContext, ExecutorService executorService, com.databricks.sdk.core.DatabricksConfig config)

### TelemetryClient

public TelemetryClient(IDatabricksConnectionContext connectionContext, ExecutorService executorService)

## Method Details

### exportEvent

public void exportEvent(TelemetryFrontendLog event)
Description copied from interface: `ITelemetryClient`
Exports a telemetry event to the backend service.

Specified by:
  `exportEvent` in interface `ITelemetryClient`
Parameters:
  `event` - The telemetry event to be exported.

### close

public void close()
Description copied from interface: `ITelemetryClient`
Closes the telemetry client, releasing any resources it holds. This method should be called on closure of connection or JVM shutdown.

Specified by:
  `close` in interface `ITelemetryClient`